
#include <stdio.h>
#include <string.h>

#include <mysql/mysql.h>


#define HellO "Hello world !"


my_bool hello_init(UDF_INIT *initid, UDF_ARGS *args, char *message)
{
 if(args->arg_count!=1) {
usage:;
   strcpy(message,"HELLO usage : HELLO(0)");
   return(1);
 }
 if(args->arg_type[0] != INT_RESULT)
   goto usage;
 if(args->args[0]==NULL)
   goto usage;
 if(*((long long*) args->args[0])!=0)
   goto usage;
 initid->max_length= strlen(HellO);
 initid->ptr= (char *) malloc(initid->max_length+1);
 if(initid->ptr==NULL) {
   strcpy(message,"hello_init: cannot allocate memory");
   return(1);
 }
 strcpy(initid->ptr,HellO);  
 return(0);
}


void hello_deinit(UDF_INIT *initid)
{
 if(initid->ptr!=NULL)
   free(initid->ptr);
}


char *hello(UDF_INIT *initid, UDF_ARGS *args,
            char *result, unsigned long *length,
            char *is_null, char *error)
{
 if(initid->ptr==NULL) {
   *error= 1;
   *is_null= 1;
   *length= 0;
   return(result);
 }
 *is_null= 0;
 strcpy(result,initid->ptr);
 *length= strlen(result);
 return(result);
}


