

#ifndef Imgdbf_includeD
#define Imgdbf_includeD

#include "../s_tools/sfile.h"


struct ImgdbF {

 struct ImgdB *imdb;

 char file_nam[SfileadrL];
 FILE *fp_nam;

 char file_samp[SfileadrL];
 FILE *fp_samp;
 unsigned long searchpos;

 char file_exempt[SfileadrL];
 FILE *fp_exempt;
};




#endif /* ! Imgdb_includeD */


/*

 ImgdB represents the usage of a persistent storage system for purposes of
 ImgmaP . It currently has to store and retrieve records of type ImgsamplE
 and ImgexempT.

 Imgdb...
  _new()             create new object
  _copy()            copy object (not data base content)
  _get_mapname()     get name of current data base and its particular files
  _reset_errmsg()    clear error message text
  _get_errmsg()      get error message text
  _add_exempt        write exempt record to data base
  _del_back()        delete last ImgsamplE and filename
  _rm_filename()     delete data base records according to filename
  _rm_sample()       delete data base record according to ImgsamplE
  _destroy()         close data base and destroy object
  
  _get_spoints()     get number of sample points

  _fopen()           open particular data base file
  _write_nam()       write filename to data base
  _write_samp()      write ImgsamP data to data base
  _read_samp()       read ImgsamP data from data base
  _fclose()          close particular data base file
  _truncate()        make smaller a particular file

*/ 
