

#include "../s_tools/sfile.h"

#ifndef Nntpstats_includeD
#define Nntpstats_includeD YES


struct NntpstatS {

 /* Parameters */
 char reportfile[SfileadrL];

 struct NntpconN *conn;
 struct NntpgrouP *group;
 struct NntpheaD *head;
 struct NntpfilteR *filter;
 
 int first_msgno;
 int last_msgno;


 /* Thresholds for reporting a group */

 double total_articles_limit;
 double total_bytes_limit;
 double largest_bytes_limit;

 /* Curbs to avoid giant downloads */
 double xover_maxlines;


 /* Accumulators */ 

 double total_bytes;
 double total_estim_bytes;
 double total_lines;
 double total_articles;

 int    largest_article;
 double largest_bytes;
 char   largest_article_group[SfileadrL];
 double over_largest_limit;

 int oldest_article;
 time_t oldest_time;
 int youngest_article;
 time_t youngest_time;

};

#endif /* Nntpstats_includeD */
