
#ifndef Ctyp_includeD
#define Ctyp_includeD



struct CtyP {

 int is_pointer;  /* number of asterisks */
 int is_struct;
 unsigned long array_size;

 int management;  /*
               -v    0= just a value
               -m    1= allocated memory which needs to be freed
               -c    2= mutual link with the next element 
               -c    3= mutual link with the prev element
               -l    4= list of -m , chained by -c pair named 'prev','next'    
                        supposed to be followed by a -v of the same type
                        which will mark the end of the list
                   */
 char *dtype;
 char *name;

 struct CtyP *prev;
 struct CtyP *next;
};


#endif /* Ctyp_includeD */

