
#ifndef Httpproxy_includeD
#define Httpproxy_includeD


#define Httpproxy_byte_count_limiT 8192


struct HttpproxY {

 struct AsagenT *agent;

 char *logfile;
 int log_client_side;
 int parse_request;
 int log_tee;             /* also log to stdout even if logfile is activated */
 int request_counter;
 int client_byte_count;                       /* byte counts of last request */
 int server_byte_count;
 int byte_count_limit;        /* maximum size of message bodies to be logged */

 struct SconN *from_client;
 struct SconN *to_server;
 int microsleep;

 struct HttprequesT *requests;
 struct HttprequesT *last_request;
 struct HttpcookY *cookies;
 struct HttpcookY *last_cooky;
 struct HttpdoC *docs;
 struct HttpdoC *last_doc;

 char *msg;                   /* pointer to externally provided msg[>=4096] */

};


#endif /* Httpproxy_includeD */

