

#ifndef Sdb_oci_stq_includeD
#define Sdb_oci_stq_includeD


struct Sdb_oci_stQ { 

 struct Sdb_ocI *boss;

 /* sending */
 OCIStmt *stmt;
 char *stmt_text;
 int stmt_length;
 ub2 stmt_type;

 /* receiving */
 /* constant during statement */
 unsigned long column_count;
 int stmt_no_data;
 unsigned long row_size;
 unsigned long *row_offsets;    /* column_count+1 elements, valid: [i+1]-[i] */
 ub2 *row_types;

 /* varying with each reply row */
 ub2 *row_rlengths;
 ub2 *row_rcodeps;

 /* to become compatible with the MySQL inspired SDB format */
 char **field_adr;
 unsigned long *field_len;

 char *row_buffer;
 struct LstrinG *receive_buffer;                   /* this is allocated data */
 struct LstrinG *receive_cursor;              /* this is a reference pointer */
 int result_buffered;
};


#endif /* ! Sdb_oci_stq_includeD */


/*

 Sdb_oci_stQ represents a SQL statement and eventually its result.

*/ 
