

#ifndef Sdb_odbc_dummy_includeD
#define Sdb_odbc_dummy_includeD

#include "sdb_odbc_dummy.h"

#endif /* Sdb_odbc_dummy_includeD */


#ifndef Sdb_odbc_stq_includeD
#define Sdb_odbc_stq_includeD


struct Sdb_odbc_stQ { 

 struct Sdb_odbC *boss;

 /* sending */
 SQLHSTMT stmt;
 char *stmt_text;
 int stmt_length;
 int stmt_type;

 /* receiving */
 /* constant during statement */
 unsigned long column_count;
 unsigned long row_size;
 unsigned long *row_offsets;    /* column_count+1 elements, valid: [i+1]-[i] */
 SQLSMALLINT *row_types;

 /* varying with each reply row */
 SQLINTEGER *row_rlengths;
 ub2 *row_rcodeps;    /* obsolete ? */

 /* to become compatible with the MySQL inspired SDB format */
 char **field_adr;
 unsigned long *field_len;

 char *row_buffer;
 struct LstrinG *receive_buffer;                   /* this is allocated data */
 struct LstrinG *receive_cursor;              /* this is a reference pointer */
 int result_buffered;
};


#define Sdb_odbc_stq_is_unknowN 0
#define Sdb_odbc_stq_is_selecT 1
#define Sdb_odbc_stq_is_inserT 2
#define Sdb_odbc_stq_is_updatE 3
#define Sdb_odbc_stq_is_deletE 4


#endif /* ! Sdb_odbc_stq_includeD */


/*

 Sdb_odbc_stQ represents a SQL statement and eventually its result.

*/ 
